<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Eloquent\Model;

class CreateForeignKeys extends Migration {

	public function up()
	{
		Schema::table('mobiliers', function(Blueprint $table) {
			$table->foreign('utilisateur_id')->references('id')->on('Utilisateurs')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('Emails', function(Blueprint $table) {
			$table->foreign('utilisateur_id')->references('id')->on('Utilisateurs')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('Emails', function(Blueprint $table) {
			$table->foreign('type_id')->references('id')->on('Types')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('Telephones', function(Blueprint $table) {
			$table->foreign('utilisateur_id')->references('id')->on('Utilisateurs')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('Telephones', function(Blueprint $table) {
			$table->foreign('type_id')->references('id')->on('Types')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('Adresses', function(Blueprint $table) {
			$table->foreign('utilisateur_id')->references('id')->on('Utilisateurs')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('Adresses', function(Blueprint $table) {
			$table->foreign('type_id')->references('id')->on('Types')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('Regime_Utilisateur', function(Blueprint $table) {
			$table->foreign('regime_id')->references('id')->on('Regimes')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('Regime_Utilisateur', function(Blueprint $table) {
			$table->foreign('utilisateur_id')->references('id')->on('Utilisateurs')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('Professions', function(Blueprint $table) {
			$table->foreign('id_utilisateur')->references('id')->on('Utilisateurs')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('Professions', function(Blueprint $table) {
			$table->foreign('CSP_id')->references('id')->on('CSP')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('Professions', function(Blueprint $table) {
			$table->foreign('adresse_id')->references('id')->on('Adresses')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('tresoreries', function(Blueprint $table) {
			$table->foreign('utilisateur_id')->references('id')->on('Utilisateurs')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('simulations', function(Blueprint $table) {
			$table->foreign('utilisateur_id')->references('id')->on('Utilisateurs')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('immobiliers', function(Blueprint $table) {
			$table->foreign('adresse_id')->references('id')->on('Adresses')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
	}

	public function down()
	{
		Schema::table('mobiliers', function(Blueprint $table) {
			$table->dropForeign('mobiliers_utilisateur_id_foreign');
		});
		Schema::table('Emails', function(Blueprint $table) {
			$table->dropForeign('Emails_utilisateur_id_foreign');
		});
		Schema::table('Emails', function(Blueprint $table) {
			$table->dropForeign('Emails_type_id_foreign');
		});
		Schema::table('Telephones', function(Blueprint $table) {
			$table->dropForeign('Telephones_utilisateur_id_foreign');
		});
		Schema::table('Telephones', function(Blueprint $table) {
			$table->dropForeign('Telephones_type_id_foreign');
		});
		Schema::table('Adresses', function(Blueprint $table) {
			$table->dropForeign('Adresses_utilisateur_id_foreign');
		});
		Schema::table('Adresses', function(Blueprint $table) {
			$table->dropForeign('Adresses_type_id_foreign');
		});
		Schema::table('Regime_Utilisateur', function(Blueprint $table) {
			$table->dropForeign('Regime_Utilisateur_regime_id_foreign');
		});
		Schema::table('Regime_Utilisateur', function(Blueprint $table) {
			$table->dropForeign('Regime_Utilisateur_utilisateur_id_foreign');
		});
		Schema::table('Professions', function(Blueprint $table) {
			$table->dropForeign('Professions_id_utilisateur_foreign');
		});
		Schema::table('Professions', function(Blueprint $table) {
			$table->dropForeign('Professions_CSP_id_foreign');
		});
		Schema::table('Professions', function(Blueprint $table) {
			$table->dropForeign('Professions_adresse_id_foreign');
		});
		Schema::table('tresoreries', function(Blueprint $table) {
			$table->dropForeign('tresoreries_utilisateur_id_foreign');
		});
		Schema::table('simulations', function(Blueprint $table) {
			$table->dropForeign('simulations_utilisateur_id_foreign');
		});
		Schema::table('immobiliers', function(Blueprint $table) {
			$table->dropForeign('immobiliers_adresse_id_foreign');
		});
	}
}